Subject: bug#34637: closed (Re: bug#34637: inferiors example yields error from guix package)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Mar 2019 11:36:01 +0000

Your bug report

#34637: inferiors example yields error from guix package

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34637: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34637
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34637: inferiors example yields error from guix package
From: Ludovic Courtès <[email-masked]>
To: Martin Flack <[email-masked]>
Cc: [email-masked]
Date: Fri, 08 Mar 2019 12:35:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Martin Flack <[email-masked]> skribis:

> $ guix --version
> guix (GNU Guix) 3546e97f38bb4dfa4c016cd7a20d4add277ca8f7

[...]

> There is maybe an extra clue in guix environment output, regarding repl:
>
> ```
> $ guix environment --ad-hoc -m example-inferior.scm
>
> Updating channel 'guix' from Git repository at '
> https://git.savannah.gnu.org/git/guix.git'...
> Computing Guix derivation for 'x86_64-linux'... |
> The following derivation will be built:
>    /gnu/store/caqr64cryz42nh687mg8p7dnpjk3dhqn-profile.drv
> The following profile hook will be built:
>    /gnu/store/gkhfa4z16x4336pbi1ha7njgdpm680yf-guix-package-cache.drv
> building path(s)
> `/gnu/store/yd83jmcpivf6aqzbhx5qwv59fcv40wd9-guix-package-cache'
> guix: repl: command not found
> Try `guix --help' for more information.
> Backtrace:
>            1 (primitive-load "/gnu/store/fgxq3d1zix70k2acrrcg1yn9qj0?")
>            0 (scm-error misc-error #f "~A ~S" ("inferior failed" #) #f)
>
> ERROR: In procedure scm-error:
> inferior failed "/gnu/store/2gln2fjds54kb97yxyz1mfa3hrrcrwlv-profile"
> builder for
> `/gnu/store/gkhfa4z16x4336pbi1ha7njgdpm680yf-guix-package-cache.drv' failed
> with exit code 1

Oh, got it.

Commit 4035fcba93aaf551f4b5698045f025aa61287e17 fixes it, thank you!

Ludo’.

Subject: inferiors example yields error from guix package
From: Martin Flack <[email-masked]>
To: [email-masked]
Date: Sat, 23 Feb 2019 16:16:54 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm getting an error trying the example here:
https://www.gnu.org/software/guix/manual/en/html_node/Inferiors.html

```
(use-modules (guix inferior) (guix channels)
             (srfi srfi-1))   ;for 'first'

(define channels
  ;; This is the old revision from which we want to
  ;; extract guile-json.
  (list (channel
         (name 'guix)
         (url "https://git.savannah.gnu.org/git/guix.git")
         (commit
          "65956ad3526ba09e1f7a40722c96c6ef7c0936fe"))))

(define inferior
  ;; An inferior representing the above revision.
  (inferior-for-channels channels))

;; Now create a manifest with the current "guile" package
;; and the old "guile-json" package.
(packages->manifest
 (list (first (lookup-inferior-packages inferior "guile-json"))
       (specification->package "guile")))
```

```
$ guix --version
guix (GNU Guix) 0964671086fb9e372894e788038aee75098e61a6
Copyright (C) 2019 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
```

```
$ guix package -n -m example-inferior.scm
Updating channel 'guix' from Git repository at '
https://git.savannah.gnu.org/git/guix.git'...
Computing Guix derivation for 'x86_64-linux'... |
substitute: updating substitutes from 'https://bayfront.guixsd.org'...
100.0%
The following derivation will be built:
   /gnu/store/zxrm9a410iywcdm71crjbg2j4ggpvdbv-profile.drv
The following profile hook will be built:
   /gnu/store/gkhfa4z16x4336pbi1ha7njgdpm680yf-guix-package-cache.drv
guix package: error: exception thrown: #<condition &store-protocol-error
[message: "build of
`/gnu/store/zxrm9a410iywcdm71crjbg2j4ggpvdbv-profile.drv' failed" status:
100] 1f80de0>
```

I'm running guix on ubuntu 18.04.2.

I noticed bug 34402 was similar - I think I'm at the latest version of guix
today.

-- 

Martin